<?php

use cebe\markdown\GithubMarkdown;
use humhub\modules\ui\icon\widgets\Icon;
use yii\helpers\Html;

/* @var $calendarEntry \humhub\modules\external_calendar\models\ExternalCalendarEntry */
/* @var $stream boolean */

$color = $calendarEntry->calendar->color ?: 'var(--info)';

$description = $calendarEntry->description;

if ($description) {
    $config = \HTMLPurifier_Config::createDefault();
    $description = \yii\helpers\HtmlPurifier::process($calendarEntry->description, $config);
}

$descriptionParser = new GithubMarkdown();
$descriptionParser->enableNewlines = true;
?>
<div class="media event">
    <div>
        <div class="clearfix">
            <h1 style="font-size:14px;font-weight:500">
                <?= Icon::get('clock-o')->color($color)->size(Icon::SIZE_LG)->fixedWith(true)->style('margin-top:2px') ?> <?= $calendarEntry->getFormattedTime() ?>
            </h1>
        </div>
        <?php if (!empty($calendarEntry->location)) : ?>
            <p>
                <?= Icon::get('map-marker ')->color($color)->size(Icon::SIZE_LG)->fixedWith(true)->style('margin-top:2px') ?>
                <?= $calendarEntry->getLocation(true) ?>
            </p>
        <?php endif; ?>

        <?php if (!empty($description) || !empty($calendarEntry->location)) : ?>
            <div data-ui-show-more
                 data-read-more-text="<?= Yii::t('ExternalCalendarModule.view', "Read full description...") ?>"
                 style="overflow:hidden">

                <p><?= $descriptionParser->parse($description) ?></p>

            </div>
        <?php endif; ?>
    </div>
</div>
